{% set districts = {
    'districtHHMitte': { 'name': "districtHHMitte"|trans({}, "master-toeb-list"), 'short': 'M' },
    'districtAltona': { 'name': "districtAltona"|trans({}, "master-toeb-list"), 'short': 'A' },
    'districtEimsbuettel': { 'name': "districtEimsbuettel"|trans({}, "master-toeb-list"), 'short': 'E' },
    'districtHHNord': { 'name': "districtHHNord"|trans({}, "master-toeb-list"), 'short': 'N' },
    'districtWandsbek': { 'name': "districtWandsbek"|trans({}, "master-toeb-list"), 'short': 'W' },
    'districtBergedorf': { 'name': "districtBergedorf"|trans({}, "master-toeb-list"), 'short': 'B' },
    'districtHarburg': { 'name': "districtHarburg"|trans({}, "master-toeb-list"), 'short': 'H' },
    'districtBsu': { 'name': "districtBsu"|trans({}, "master-toeb-list"), 'short': 'BSW' },
}%}
{# Needed for colspan in collapsible <tr> bwlow #}
{% set colspan = 5 %}

<tr class="border--top o-sortablelist__item">
    <td class="u-pr-0_25">
        <input name="orga_selected[]" class="u-ml-0_5" type="checkbox" value="{{ orga.ident|default("notspecified"|trans)}}" data-checkable-item>
    </td>
    <td class="u-pt-0_5 u-pb-0_5 u-pl-0_25" title="{{ 'invitable_institution'|trans }}">
        {{ orga.nameLegal|default("notspecified"|trans) }}
        {% if hasPermission('area_use_mastertoeblist')%}
            <div class="line-height--1_2">
                <span class="font-size-smaller">{{ "department"|trans }}: {{ orga.masterToeb.department.name|default('k.A.') }}</span>
                <br>
                {% if orga.masterToeb is defined %}
                    {% for key, district in districts %}
                        <span class="o-tooltip inline-block u-mr-0_25">
                            <span class="font-size-smaller">{{ district.short }}</span>: {{ attribute(orga.masterToeb, key)|default('') }}
                            <span class="o-tooltip__content">{{ district.name }}</span>
                        </span>
                    {% endfor %}
                {% endif %}
            </div>
        {% endif %}
        {% if orga.email2 is defined and orga.email2|length == 0 %}
            <div class="font-size-smaller">{{ "no.participation.email"|trans }}</div>
        {% endif %}
    </td>
   {% if hasPermission('field_organisation_paper_copy_spec') %}
       {% set colspan = colspan - 1 %}
        <td class="text-left u-pb-0_25 u-pt-0_25" title="{{ "copies.kind"|trans }}">
            {% if orga.paperCopySpec is defined %}
                {{ orga.paperCopySpec }}
            {% else %}
                {{ "notspecified"|trans }}
            {% endif %}
        </td>
    {% endif %}
    {% if hasPermission('field_organisation_paper_copy') %}
        {% set colspan = colspan - 1 %}
        <td class="text-center" title="{{ 'copies'|trans }}">
            {% if orga.paperCopy is defined %}
                {{ orga.paperCopy }}
            {% else %}
                {{ "notspecified"|trans }}
            {% endif %}
        </td>
    {% endif %}
    <td class="u-pl-0_5 text-center" title="{{ 'statement'|trans }}">
        {% if templateVars.orgaStatements[orga.id] is defined %}
            {{ templateVars.orgaStatements[orga.id]}}
        {% else %}
            -
        {% endif %}
    </td>
    <td class="u-pl-2 text-center" title="{{ 'invitation'|trans }}">
        {% if orga.ident in templateVars.orgaInvitationemailSent|default([]) %}
            <i class="fa fa-check-circle" style="color: #4c8b22" aria-hidden="true"></i>
        {% endif %}
    </td>
    <td class="u-ph-0_5">
        <button
            type="button"
            class="o-toggle__trigger js__toggleAnything"
            name="toggleRow:{{ orga.ident|default }}"
            aria-label="{{ 'aria.toggle'|trans }}"
            data-toggle="#{{ orga.ident }}">
            <i class="o-toggle__icon o-toggle__icon--angle" aria-hidden="true"></i>
        </button>
    </td>
</tr>

{# expandable detail content #}
<tr class="o-toggle__target table-row o-sortablelist_item" data-toggle-id="{{ orga.ident }}">
    <td class="u-pr-0_25"></td>
    <td class="align-top u-ph-0_25 u-pv-0_5">
        <p class="u-mb-0">
            <span class="color--grey block">{{ "address"|trans }}</span>
            <span class="block">{{ orga.address.street|default("notspecified"|trans) }}</span>
            <span class="block">{{ orga.address.postalcode|default("notspecified"|trans) }}</span>
            <span class="u-pb-0_5 block">{{ orga.address.city|default("notspecified"|trans) }}</span>
            {% if hasPermission('field_organisation_phone')%}
                <span class="color--grey block">{{ "phone"|trans }}</span>
                <span class="u-pb-0_5 block">{{ orga.address.phone|default("notspecified"|trans) }}</span>
            {% endif %}
            <span class="color--grey block">{{ "email.participation"|trans }}</span>
            <span class="block">{{ orga.email2|default('')}}</span>
            {% if hasPermission('field_organisation_email2_cc')%}
                <span class="color--grey block"> {{ "email.cc.participation"|trans }}</span>
                <span class="block">{{ orga.ccEmail2|default('')}}</span>
            {% endif %}
        </p>
    </td>
    <td colspan="{{ colspan }}" class="align-top u-ph-0_25 u-pv-0_5">
        <p>
            {% if hasPermission('field_organisation_competence')%}
                <span class="color--grey u-pt-0_5 block">{{ "competence.explanation"|trans }}</span>
                {% if orga.competence is defined and orga.competence != '' %}
                    <span class="block">{{ orga.competence|default('')}}</span>
                {% endif %}
            {% endif %}
            {% if hasPermission('field_organisation_contact_person')%}
                <span class="color--grey block">{{ "contact.person"|trans }}</span>
                <span class="block">{{ orga.contactPerson|default('')}}</span>
            {% endif %}
        </p>
    </td>
</tr>
